"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const table_pretty_1 = require("@src/table-pretty");
const table_data_1 = require("@src/table-data");
const utils_1 = require("./support/utils");
test('should convert data frame to pretty table and output correct format', () => __awaiter(void 0, void 0, void 0, function* () {
    // Arrange
    const htmlString = yield (0, utils_1.getHTMLFile)('table_1_row.html');
    const dataFrame = (0, table_data_1.toDataFrame)(htmlString, utils_1.defaultHeaders);
    const logSpy = jest.spyOn(console, 'log').mockImplementation(() => { });
    // Act
    (0, table_pretty_1.toPrettyPrint)(dataFrame);
    // Assert
    expect(logSpy).toHaveBeenCalledWith(expect.stringContaining('Person'));
    expect(logSpy).toHaveBeenCalledWith(expect.stringContaining('Likes'));
    expect(logSpy).toHaveBeenCalledWith(expect.stringContaining('Age'));
    // Restore console.log
    logSpy.mockRestore();
}));
